{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block title %}{{ property.name }} {{ parent() }}{% endblock %}

{% block stylesheets %}
    {{ parent() }}

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
          integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
          crossorigin=""/>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb_extra_buttons = '
        <a href="'~ path('app_dashboard_project_reports_list', {projectId: property.idEncoded}) ~'" class="btn btn-sm btn-soft-dark px-3">
            <i class="las la-file-pdf mr-1"></i>
            Reports
        </a>
    ' %}

    {% set breadcrumb_back_link = path('app_dashboard_properties_list') %}
    {% set breadcrumb_back_link_title = 'Properties List' %}
    {% embed 'dashboard/_component/breadcrumb.html.twig' with {'breadcrumb_title': ('Property: ' ~ property.name ) } %}{% endembed %}
{% endblock %}

{% block content %}

    {% embed 'dashboard/_component/flash_v2.html.twig' with {'classes': 'mb-4'} %}{% endembed %}

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body p-0">
                    <div id="user_map" class="pro-map" style="height: 220px"></div>
                </div><!--end card-body-->
                <div class="card-body">
                    <div class="dastyle-profile">
                        <div class="row">
                            <div class="col-lg-4 d-flex align-self-center justify-content-center justify-content-lg-start mb-3 mb-lg-0">
                                <div class="row">

                                    <div class="col-auto text-center text-lg-left">
                                        <h3 class="m-0 font-weight-bold">{{ property.address.streetAddress }}</h3>
                                        <p class="mb-0 text-muted">{{ property.address.city }}, {{ property.address.state }}{{ property.address.zipCode }}</p>
                                    </div>
                                </div>
                            </div><!--end col-->

                            <div class="col-lg-4 ml-auto d-flex align-self-center justify-content-center">
                                <div class="row">
                                    <div class="col-auto text-right border-right">
                                        <button type="button" class="btn btn-soft-info btn-icon-circle-sm mb-2">
                                            <i class="fas fa-bed"></i>
                                        </button>
                                        <p class="mb-0 font-weight-semibold">Bedrooms</p>
                                        <h5 class="m-0 font-weight-bold">{{ property.details.bedrooms }}</h5>
                                    </div><!--end col-->
                                    <div class="col-auto text-center border-right">
                                        <button type="button" class="btn btn-soft-info btn-icon-circle-sm mb-2">
                                            <i class="fas fa-bath"></i>
                                        </button>
                                        <p class="mb-0 font-weight-semibold">Bathrooms</p>
                                        <h5 class="m-0 font-weight-bold">{{ property.details.fullBathrooms }}</h5>
                                    </div><!--end col-->
                                    <div class="col-auto text-center border-right">
                                        <button type="button" class="btn btn-soft-info btn-icon-circle-sm mb-2">
                                            <i class="far fa-calendar"></i>
                                        </button>
                                        <p class="mb-0 font-weight-semibold">Sq. Ft.</p>
                                        <h5 class="m-0 font-weight-bold">{{ property.details.squareFootage }}</h5>
                                    </div><!--end col-->
                                    <div class="col-auto text-left">
                                        <button type="button" class="btn btn-soft-info btn-icon-circle-sm mb-2">
                                            <i class="far fa-calendar"></i>
                                        </button>
                                        <p class="mb-0 font-weight-semibold">Year Built</p>
                                        <h5 class="m-0 font-weight-bold">{{ property.details.yearBuilt }}</h5>
                                    </div><!--end col-->
                                </div><!--end row-->
                            </div><!--end col-->

                            <div class="col-lg-4 d-flex align-self-center justify-content-center justify-content-lg-end mt-3 mt-lg-0">
                                <div class="row">
                                    <div class="col-auto text-center text-lg-right">
                                        <button type="button" class="btn btn-soft-success btn-icon-circle-sm mb-2">
                                            <i class="fas fa-warehouse"></i>
                                        </button>
                                        <p class="mb-0 font-weight-semibold">Property Type</p>
                                        <h6 class="m-0 font-weight-bold">######</h6>
                                    </div><!--end col-->
                                </div><!--end row-->
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end f_profile-->
                </div><!--end card-body-->
            </div> <!--end card-->
        </div><!--end col-->
    </div><!--end row-->

    <div class="row justify-content-center">
        <div class="col-md-4 col-lg-3 d-flex align-self-center flex-column-reverse">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">After Repair Value</p>
                            <h3 class="my-2">$4,000,000</h3>
                            <p class="mb-0 text-truncate text-muted">
                                <span class="text-dark">$3,800,000</span> Purchase price
                            </p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="dollar-sign" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->

        <div class="col-md-4 col-lg-2">
            <div class="card py-3">
                <div class="card-body mb-0 pb-0 text-center">
                    <div>
                        <div id="ana_1" class="apex-charts d-block w-90 mx-auto"></div>
                        <hr class="hr-dashed w-25 mt-0 mb-0 pb-0">
                    </div>
                    <div class="text-center mt-1">
                        <p class="text-muted mt-2 font-12 mb-0 pb-0">Discount based on default analysis</p>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->

        <div class="col-md-4 col-lg-3  d-flex align-self-center flex-column-reverse">
            <div class="card report-card">
                <div class="card-body">
                    <div class="row d-flex justify-content-center">
                        <div class="col">
                            <p class="text-dark mb-1 font-weight-semibold">Profit</p>
                            <h3 class="my-2">$200,000</h3>
                            <p class="mb-0 text-truncate text-muted">
                                <span class="text-dark">$14000</span> Total used
                                budgets
                            </p>
                        </div>
                        <div class="col-auto align-self-center">
                            <div class="report-main-icon bg-light-alt">
                                <i data-feather="dollar-sign" class="align-self-center text-muted icon-md"></i>
                            </div>
                        </div>
                    </div>
                </div><!--end card-body-->
            </div><!--end card-->
        </div> <!--end col-->
    </div><!--end row-->

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col">
                            <h4 class="card-title">Latest Analysis</h4>
                        </div><!--end col-->
                        <div class="col-auto">
                            <button type="button" class="btn btn-success btn-xs" data-toggle="modal" data-target="#addPropertyAnalysisModal">Add Analysis</button>
                            <span class="mx-1">-</span>
                            <a href="#" class="text-primary">View All</a>
                        </div><!--end col-->
                    </div>  <!--end row-->
                </div><!--end card-header-->
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-hover mb-0">
                            <thead class="thead-light">
                            <tr>
                                <th>Analysis Name</th>
                                <th>Purchase Price</th>
                                <th>After Repair Value</th>
                                <th>Profit</th>
                                <th>Status</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for key, analysis in propertyAnalysis | slice(0, 4) %}
                                <tr class="tr-link"
                                    data-href="{{ path('app_dashboard_property_analysis_view',
                                        {propertyIdEncoded: analysis.propertyId.encode, analysisIdEncoded: analysis.idEncoded}) }}">
                                    <td>analysis.name</td>
                                    <td>
                                        analysis.purchasePrice
                                    </td>
                                    <td>
                                        analysis.afterRepairValue
                                    </td>
                                    <td>
                                        {{ analysis.profit }}
                                    </td>
                                    <td class="text-align-right">
                                            <span class="badge badge-md badge-boxed  badge-soft-warning">#</span>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>

                        {% if propertyAnalysis | length == 0 %}
                            <div class="pricing-header px-3 pt-4 pb-3 mx-auto text-center">
                                <h2 class="font-weight-light text-muted">No analysis yet</h2>
                                <p>You can start by <a href="#" data-toggle="modal"
                                                       data-target="#addPropertyAnalysisModal"><u>adding
                                            a new analysis to the property</u></a>.</p>
                            </div>
                        {% endif %}

                    </div><!--end table-responsive-->
                </div><!--end card-body-->
            </div><!--end card-->
        </div><!--end col-->
    </div><!--end row-->
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('assets/reavant/plugins/apex-charts/apexcharts.min.js') }}"></script>

    <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
            integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
            crossorigin=""></script>

    <script>
        $('.popover-dismiss').popover({
            trigger: 'focus'
        })
    </script>

    <script>
        var mymap = L.map('user_map').setView([29.890661, -97.911530], 13);

        var marker = L.marker([29.890661, -97.911530]).addTo(mymap);

        L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
            attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, <a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
            maxZoom: 18,
            id: 'mapbox/streets-v11',
            tileSize: 512,
            zoomOffset: -1,
            accessToken: 'pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5awn'
        }).addTo(mymap);
    </script>

    <script>
        var options = {
            series: [76],
            chart: {
                type: 'radialBar',
                offsetY: -20,
                sparkline: {
                    enabled: true
                }
            },
            plotOptions: {
                radialBar: {
                    startAngle: -90,
                    endAngle: 90,
                    hollow: {
                        size: '75%',
                        position: 'front',
                    },
                    track: {
                        background: ["rgba(42, 118, 244, .18)"],
                        strokeWidth: '80%',
                        opacity: 0.5,
                        margin: 5,
                    },
                    dataLabels: {
                        name: {
                            show: false
                        },
                        value: {
                            offsetY: -2,
                            fontSize: '20px'
                        }
                    }
                }
            },
            stroke: {
                lineCap: 'butt'
            },
            colors: ["#2a76f4"],
            grid: {
                padding: {
                    top: -10
                }
            },

            labels: ['Average Results'],
        };

        var chart = new ApexCharts(document.querySelector("#ana_1"), options);
        chart.render();
    </script>

    <script>
        jQuery(document).ready(function ($) {
            $(".tr-link").click(function () {
                window.location = $(this).data("href");
            });
        });
    </script>
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal Add Property Analysis -->
    <div class="modal fade" id="addPropertyAnalysisModal" tabindex="-1" role="dialog"
         aria-labelledby="addPropertyAnalysisModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-md" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addPropertyAnalysisModalLabel">Add a new analysis to
                        <b>{{ property.name }}</b></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

            </div>
        </div>
    </div>
{% endblock %}